package com.luojia_channel.modules.file.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.luojia_channel.modules.file.dto.CompleteUploadDTO;
import com.luojia_channel.modules.file.dto.UploadChunkDTO;
import com.luojia_channel.modules.file.dto.UploadFileDTO;
import com.luojia_channel.modules.file.entity.LjFile;
import org.springframework.web.multipart.MultipartFile;

public interface FileService extends IService<LjFile> {
    Boolean createBucket(String name);
    Boolean deleteBucket(String name);
    String uploadFile(MultipartFile file);
    Long uploadFileAndGetFileId(UploadFileDTO uploadFileDTO);
    Boolean uploadChunk(UploadChunkDTO chunkDTO);
    Long completeUpload(CompleteUploadDTO completeDTO);
}
